- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Threading::CThreadManager Class Reference

List of all members.

## Detailed Description

Handles start and processing of threads.

Date:
  13/01/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CThreadManager.hpp,v 1.5 2007/02/08 21:06:44 paul Exp

Definition at line 33 of file CThreadManager.hpp.

## Static Public Member Functions

- static void startThread (IThread *thread)
- static void stopThread (IThread *thread)
- static void terminateThread (IThread *thread)

## Static Protected Member Functions

- static unsigned long __stdcall threadCallback (void *data)

## Member Function Documentation

static void Exponent::Threading::CThreadManager::startThread | ( | IThread * | thread | ) | `[static]`

Start a thread

Parameters:

  | thread | The thread to start
       // We want to start a thread, we first create the object that is going to be run in the thread. Note that this <B>IS NOT REFERENCE COUNTED!</B>
       // In normal usage, we create this local or as a member variable
       CMyThreadedObject object;
       CThreadManager::startThread(&object);
       // Thread now run in background and you will be notified of events through the delegate

static void Exponent::Threading::CThreadManager::stopThread | ( | IThread * | thread | ) | `[static]`

Stop a thread

Parameters:

  | thread | The thread to stop

static void Exponent::Threading::CThreadManager::terminateThread | ( | IThread * | thread | ) | `[static]`

Force terminate a thread

Parameters:

  | thread | The thread to terminate. Causes immediate termination of all actions. You will not have a chance to complete anything..

static unsigned long __stdcall Exponent::Threading::CThreadManager::threadCallback | ( | void * | data | ) | `[static, protected]`

Windows thread call back function

Parameters:

  | data | Hopefully the IThread object..